Hi,

after long struggling I've figured out how to build RPMs on
SLES11-x86_64 without the OpenSuSE-Buildserver. I build RPMs for
SLES11-i586 with

Code:
--------------------
linux32 build --rpms Path-to-Pool:Path-to-SDK:Localpool --arch i586 mypackage.spec
--------------------


But how do I build for SLES10? Everey document I've found says I should
use the environment variable BUILD_DIST, but according to 'Bug #359846'
(https://bugzilla.novell.com/show_bug.cgi?id=359846) this variable is
deprecated and ignored.

If I try to set BUILD_DIST=SLE-10 and the rpm-path (via --rpms) to our
repositories of SLES10, I get a lot of expansion errors, and it seems
that build tries to build SLES11-RPMs (e.g. gcc43):


Code:
--------------------
initializing /usr/src/packages/build.tmp/.srcfiles.cache ...
/usr/lib/build/createrpmdeps /mnt/install/SLES10-SP2-Pool/sles-10-i586
/usr/lib/build/createrpmdeps /mnt/install/SLE10-SDK-SP2-Pool/sles-10-i586
expanding package dependencies...
expansion error
nothing provides libbz2-1
nothing provides libgcc43
nothing provides libncurses5
nothing provides libreadline5
nothing provides libselinux1
nothing provides gcc43
nothing provides gettext-runtime
nothing provides libmpfr1
nothing provides cpp43
nothing provides gettext-tools
nothing provides libbz2-devel
nothing provides libdb-4_5
nothing provides libstdc++43
nothing provides libvolume_id1
nothing provides linux-kernel-headers
nothing provides login
nothing provides libgomp43
nothing provides libuuid1
nothing provides terminfo-base
nothing provides brp-check-suse
nothing provides post-build-checks
nothing provides rpmlint-Factory

--------------------


Can someone point me in the right direction? Is there a complete and
up-to-date documentation how to build RPM's with and for SLE products?

Thanks in advance, Maurice


--
meeden
------------------------------------------------------------------------
meeden's Profile: http://forums.novell.com/member.php?userid=80713
View this thread: http://forums.novell.com/showthread.php?t=404343